Skip site navigation (1)Skip section navigation (2)
Date:      Sun, 17 May 2015 07:44:01 +0800
From:      Ben Woods <woodsb02@gmail.com>
To:        "William A. Mahaffey III" <wam@hiwaay.net>
Cc:        "FreeBSD Questions !!!!" <freebsd-questions@freebsd.org>
Subject:   Re: pkg upgrade problem
Message-ID:  <CAOc73CBsyJOQNFhDR1Ne2=-2vypXyQy3um=A13OXuipZzVdTSA@mail.gmail.com>
In-Reply-To: <5557D47D.2030301@hiwaay.net>
References:  <5557D47D.2030301@hiwaay.net>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Sunday, May 17, 2015, William A. Mahaffey III <wam@hiwaay.net> wrote:

>
>
> I just tried to do a 'pkg upgrade -y' from the console CLI as root. I
> redirected all output to a file, which I list below:
>
>
> [root@kabini1, /etc, 6:40:13pm] 333 % cat LIST.pkg-upgrade.May2015.txt
> Updating FreeBSD repository catalogue...
> Fetching meta.txz... done
> Fetching packagesite.txz... done
> Processing entries... done
> FreeBSD repository update completed. 23971 packages processed.
> Checking for upgrades (536 candidates)... done
> Processing candidates (536 candidates)... done
> pkg: Cannot solve problem using SAT solver:
> pkg: cannot find libreoffice in the request
> pkg: cannot solve job using SAT solver
> [root@kabini1, /etc, 6:40:16pm] 334 %
>
> I had cleaned out the /var/db/pkg/ directory of old repo data & meta data.
> How do I work around this ? Is this a problem w/ remote repos, or something
> at my end (possibly including pilot error :-/ ) ? TIA & have a nice weekend
> ....
>

I wonder if you have the latest version of pkg (can you please check you
have 1.5.2 by typing pkg -v).

Perhaps try updating pkg first using "pkg upgrade pkg". Then once again try
your "pkg upgrade".

Regards,
Ben


-- 

--
From: Benjamin Woods
woodsb02@gmail.com



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?CAOc73CBsyJOQNFhDR1Ne2=-2vypXyQy3um=A13OXuipZzVdTSA>